Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jxweb
Class GetTableValueStep

    java.lang.Object
      |
      +--net.sourceforge.jxweb.HttpStep
            |
            +--net.sourceforge.jxweb.GetTableValueStep

All Implemented Interfaces:
  JXTestStep

public class GetTableValueStep
extends HttpStep

This class is a test step for retrieving a cell value from a specified `WebTable` that has already been placed into the test properties.

Author:
  avollmer

Field Summary
`int` | `column` The column of the cell to retrieve.
`boolean` | `indirect` Flag indicating that the 'tableName' attribute should be dereferenced in the test properties
`String` | `name` The name to store the table cell value under in the test properties
`int` | `row` The row of the cell to retrieve.
`String` | `tableName` The name of the `WebTable` to look for in the test properties

Fields inherited from class net.sourceforge.jxweb.HttpStep
`properties, testCase, webConversation, webConversationName`

Constructor Summary
`GetTableValueStep()`

Method Summary
`void` | `eval(JXTestCase testCase)` Overrides parent `eval()` method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

  The name to store the table cell value under in the test properties

### tableName

    public String tableName

  The name of the `WebTable` to look for in the test properties

### indirect

    public boolean indirect

  Flag indicating that the 'tableName' attribute should be dereferenced in the test properties

### row

    public int row

  The row of the cell to retrieve. Note that this is 0-based.

### column

    public int column

  The column of the cell to retrieve. Note that this is 0-based.

Constructor Detail

### GetTableValueStep

    public GetTableValueStep()

Method Detail

### eval

    public void eval(JXTestCase testCase)
              throws Throwable

  Overrides parent `eval()` method
  Overrides:
    `eval` in class `HttpStep`
  Parameters:
    `testCase` -
  Throws:
    `Throwable` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD